
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("base_equipment")]
    public class BaseEquipment
    {

        [Key]
        [Column("id")]
        public Guid id { get; set; }

        /// <summary>
        /// 设备编码
        /// </summary>
        [Column("equipment_no")]
        public string equipmentNo { get; set; }

        /// <summary>
        /// 设备名称
        /// </summary>
        [Column("equipment_name")]
        public string equipmentName { get; set; }

        /// <summary>
        /// 设备ip
        /// </summary>
        [Column("equipment_ip")]
        public string equipmentIp { get; set; }

        /// <summary>
        /// 设备品牌
        /// </summary>
        [Column("equipment_spac")]
        public string equipmentSpac { get; set; }

        /// <summary>
        /// 设备类型
        /// </summary>
        [Column("equipment_type")]
        public int? equipmentType { get; set; }

        [Column("is_delete")]
        public int? isDelete { get; set; }

        [Column("create_time")]
        public DateTime? createTime { get; set; }

        [Column("create_id")]
        public Guid? createId { get; set; }

        [Column("create_by")]
        public string createBy { get; set; }

        [Column("modify_time")]
        public DateTime? modifyTime { get; set; }

        [Column("modify_id")]
        public Guid? modifyId { get; set; }

        [Column("modify_by")]
        public string modifyBy { get; set; }

        [Column("definefield3")]
        public string definefield3 { get; set; }

        [Column("definefield1")]
        public string definefield1 { get; set; }

        [Column("definefield2")]
        public string definefield2 { get; set; }
    }
}

